|  | Home · All Classes · Modules

# QXmlLocator Class Reference
[QtXml module]

The QXmlLocator class provides the XML handler classes with information about the parsing position within a file. More...

### Methods

- __init__ (self)
- __init__ (self, QXmlLocator other)
- int columnNumber (self)
- int lineNumber (self)

## Detailed Description

The QXmlLocator class provides the XML handler classes with information about the parsing position within a file.

The reader reports a QXmlLocator to the content handler before it starts to parse the document. This is done with the QXmlContentHandler.setDocumentLocator() function. The handler classes can now use this locator to get the position (lineNumber() and columnNumber()) that the reader has reached.

## Method Documentation

### QXmlLocator.__init__ (self)

Constructor.

### QXmlLocator.__init__ (self, QXmlLocator other)

### int QXmlLocator.columnNumber (self)

This method is abstract and should be reimplemented in any sub-class.

Returns the column number (starting at 1) or -1 if there is no column number available.

### int QXmlLocator.lineNumber (self)

This method is abstract and should be reimplemented in any sub-class.

Returns the line number (starting at 1) or -1 if there is no line number available.